package com.ruoyi.project.reliability.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 故障管理初选对象 t_bam_original
 *
 * @author ruoyi
 * @date 2020-11-27
 */
public class TBamOriginal extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 初选ID */
    private Long originalId;

    /** 装置名称 */
    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 优先级 */
    @Excel(name = "优先级", dictType = "PRIORITY")
    private String priority;

    /** 位号 */
    @Excel(name = "位号")
    private String fl;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String description;

    /** 专业 */
    @Excel(name = "专业", dictType = "DISCIPLINE")
    private String discipline;

    /** 故障简述 */
    @Excel(name = "故障简述")
    private String failbrief;

    /** 初步分析 */
    @Excel(name = "初步分析")
    private String primstudy;

    /** 维修费用 */
    @Excel(name = "维修费用")
    private Double maintcost;

    /** 文件放置频次 */
    @Excel(name = "文件放置频次")
    private String frequency;

    /** 工艺损失 */
    @Excel(name = "工艺损失")
    private Double loss;

    /** 总费用 */
    @Excel(name = "总费用")
    private Double totalcost;

    /** 阶段 */
    @Excel(name = "阶段", dictType = "PHASE")
    private String phase;

    /** 负责人 */
    @Excel(name = "负责人")
    private String responsible;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setOriginalId(Long originalId)
    {
        this.originalId = originalId;
    }

    public Long getOriginalId()
    {
        return originalId;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setPriority(String priority)
    {
        this.priority = priority;
    }

    public String getPriority()
    {
        return priority;
    }
    public void setFl(String fl)
    {
        this.fl = fl;
    }

    public String getFl()
    {
        return fl;
    }
    public void setDescription(String description)
    {
        this.description = description;
    }

    public String getDescription()
    {
        return description;
    }
    public void setDiscipline(String discipline)
    {
        this.discipline = discipline;
    }

    public String getDiscipline()
    {
        return discipline;
    }
    public void setFailbrief(String failbrief)
    {
        this.failbrief = failbrief;
    }

    public String getFailbrief()
    {
        return failbrief;
    }
    public void setPrimstudy(String primstudy)
    {
        this.primstudy = primstudy;
    }

    public String getPrimstudy()
    {
        return primstudy;
    }
    public void setMaintcost(Double maintcost)
    {
        this.maintcost = maintcost;
    }

    public Double getMaintcost()
    {
        return maintcost;
    }
    public void setFrequency(String frequency)
    {
        this.frequency = frequency;
    }

    public String getFrequency()
    {
        return frequency;
    }
    public void setLoss(Double loss)
    {
        this.loss = loss;
    }

    public Double getLoss()
    {
        return loss;
    }
    public void setTotalcost(Double totalcost)
    {
        this.totalcost = totalcost;
    }

    public Double getTotalcost()
    {
        return totalcost;
    }
    public void setPhase(String phase)
    {
        this.phase = phase;
    }

    public String getPhase()
    {
        return phase;
    }
    public void setResponsible(String responsible)
    {
        this.responsible = responsible;
    }

    public String getResponsible()
    {
        return responsible;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("originalId", getOriginalId())
            .append("plantCode", getPlantCode())
            .append("priority", getPriority())
            .append("fl", getFl())
            .append("description", getDescription())
            .append("discipline", getDiscipline())
            .append("failbrief", getFailbrief())
            .append("primstudy", getPrimstudy())
            .append("maintcost", getMaintcost())
            .append("frequency", getFrequency())
            .append("loss", getLoss())
            .append("totalcost", getTotalcost())
            .append("phase", getPhase())
            .append("responsible", getResponsible())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .toString();
    }
}
